# List sprints

## Overview

This endpoint allows you to retrieve the list of sprints that happened in your community. If you pass the `onlyCurrent=true` query params to the query, it will only return the active sprint.

## The Leaderboard sprint object

***

**id** - *String*

ID of the sprint

***

**name** - *String*

Name of the sprint

***

**description** - *String*

Description of the sprint

***

**image** - *String*

Url of the sprint image

***

**color** - *String*

Hex color associated with the sprint (e.g: "#833f6a")

***

**rewards** - *Object*

[TipTap document](https://tiptap.dev/docs/editor/introduction) that describes the rewards of the sprint

***

**rewardZone** - *Number* &#x20;

Leaderboard position until which the users will be rewarded.

***

**includedQuestsIds** - Array of strings

IDs of the quests that are part of the sprint.

{% hint style="warning" %}
Currently, if the array is empty, it means that all quests in the community are part of the sprint. This behavior will be deprecated soon.
{% endhint %}

***

**startingAt** - *String*

ISO timestamp that indicates the start of the sprint

***

**endingAt** - *String*

ISO timestamp that indicates the end of the sprint

***

**createdAt** - *String*

ISO timestamp that indicates the creation date and time of the sprint

***

## API Reference

{% openapi src="<https://api-v2.zealy.io/swagger.json>" path="/public/communities/{subdomain}/leaderboard/sprint" method="get" %}
<https://api-v2.zealy.io/swagger.json>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zealy.io/api-reference/leaderboards/list-sprints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
